Skip to main content
POST

Authorizations

Authorization
string
header
required

Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.

Path Parameters

wokuId
string
required

MongoDB ObjectId of the Woku.

Pattern: ^[0-9a-fA-F]{24}$

Body

application/json
name
string
required

Name of the company-level tracker definition the value belongs to.

Maximum string length: 60
Example:

"trr"

value
string
required

External identifier value (always stored as string).

Maximum string length: 500
Example:

"TX-2026-00043"

Response

Value assigned (created) or updated

Value of a tracker bound to a specific Woku.

_id
string
required
Example:

"507f1f77bcf86cd799439015"

companyId
string
required
Example:

"507f1f77bcf86cd799439012"

wokuId
string
required

Woku this value belongs to.

Example:

"507f1f77bcf86cd799439011"

trackerId
string
required

Reference to the company-level tracker definition.

Example:

"507f1f77bcf86cd799439014"

value
string
required

External identifier (e.g. CRM transaction id).

Maximum string length: 500
Example:

"TX-2026-00043"

createdAt
string<date-time>
updatedAt
string<date-time>